%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

diary off
close all;
clear all;
fclose('all');

diary;

cd ('/Users/jrevans/TREMOR_SOS/rsc/TestData');
gal_scale = 1.0			% From RunTests
bits = 16			% Word length

%%%%%%%%%%%%%%%%

trace = load('delval_a02_lowpassed');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('slac_a02_lowpassed');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

%%%%%%%%%%%%%%%%

trace = load('delval.a02.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('delval.a03.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('delval.a04.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('delval.a05.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('delval.a06.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

%%%%%%%%%%%%%%%%

trace = load('slac.a01.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('slac.a02.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

trace = load('slac.a03.no_head');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace trace = trace - mean(trace)

%%%%%%%%%%%%%%%%

trace = load('psv_test_ev1_zeroset.002');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace(1:100))

trace = load('psv_test_ev1_zeroset.003');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace(1:100))

trace = load('psv_test_ev2_zeroset.002');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace(1:100))

trace = load('psv_test_ev2_zeroset.003');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace(1:100))

trace = load('psv_test_ev3_zeroset.003');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
nn=length(trace)
% trace = trace - mean(trace(nn - 99:nn))

%%%%%%%%%%%%%%%%

trace = load('noise_sample');
plot(trace); drawnow; pause(2);
[ 'Gal2Int_scale = ' num2str(floor( (2^(bits-1) -1) / max(abs(gal_scale .* trace)) )) ]
[ 'Mean = ' num2str(mean(trace)) ' cm/s/s' ]
% trace = trace - mean(trace)

diary off;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
